# Never use --short-circuit to build this.
%define name xchat
%define version 1.8.9
%define prefix %{_prefix}

%define build_82 1

%{expand:%%define perl_version %(rpm -q perl|sed 's/perl-\([0-9].*\)-.*$/\1/')}

Summary: Graphical IRC client
Summary(fr): client IRC graphique

Name: %{name}
Version: %{version}
Release: 1.1mdk
Group: Networking/IRC
%if %{build_82}
BuildRequires: autoconf2.5
%endif
BuildRequires: automake
BuildRequires: db3-devel
BuildRequires: gcc
BuildRequires: gdk-pixbuf-devel
BuildRequires: gettext
BuildRequires: gnome-libs-devel
BuildRequires: openssl-devel
BuildRequires: perl-devel
BuildRequires: python-devel
BuildRequires: texinfo
Requires: perl-base = %{perl_version}
License: GPL
Url: http://www.xchat.org
Icon: xchat.xpm
Source: http://www.xchat.org/files/source/1.8/xchat-%{version}.tar.bz2
Source2: xchat.png
Source3: %{name}
Source4: %{name}-icon.xpm.bz2
Source5: %{name}-32.xpm.bz2
Source6: %name-48.xpm.bz2
Patch0:	xchat-1.8.7-ctcp_version.patch.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
X-Chat is yet another IRC client for the X Window System, using the Gtk+
toolkit. It is pretty easy to use compared to the other Gtk+ IRC clients and
the interface is quite nicely designed.

%description -l fr
X-Chat est encore un autre client IRC pour X, qui utilise le toolkit Gtk+. Il
est trs simple  utiliser compar aux autres clients IRC en Gtk+ et
l'interface est trs bien ralise.

%prep
%setup -q
%patch0 -p1 -b .ctp_version


%build
%configure \
		--enable-gnome --enable-openssl

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
# this buggy makefile piss me off
cd po
perl -pi -e "s|prefix = /usr|prefix = $RPM_BUILD_ROOT/usr|" Makefile
cd ..
make DESTDIR=$RPM_BUILD_ROOT install-strip

# Another buggy part of the makefile.
cd po
for i in *.gmo;do
   mkdir -p  $RPM_BUILD_ROOT%{_datadir}/locale/$(basename $i .gmo)/LC_MESSAGES
   install $i $RPM_BUILD_ROOT%{_datadir}/locale/$(basename $i .gmo)/LC_MESSAGES/xchat.mo
done
cd ..

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -c -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# keep directory structure consistent
if [ ! -d $RPM_BUILD_ROOT%{_datadir}/locale/sr ]; then
	if [ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr_YU ]; then
		mv $RPM_BUILD_ROOT%{_datadir}/locale/sr_YU \
			$RPM_BUILD_ROOT%{_datadir}/locale/sr
	fi
fi

mv $RPM_BUILD_ROOT%{_datadir}/locale/zh_CN $RPM_BUILD_ROOT%{_datadir}/locale/zh_CN.GB2312

# menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_menudir}

# icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/{mini,large}
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_datadir}/icons/mini/%{name}.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.xpm
bzcat %SOURCE6 > $RPM_BUILD_ROOT%_datadir/icons/large/%{name}.xpm

%find_lang xchat

%post
## menu
%update_menus

%postun
## menu
%clean_menus

%clean
rm -fr $RPM_BUILD_ROOT


%files -f xchat.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog doc/xchat.sgml
#%config /etc/X11/wmconfig/xchat
%attr(755,root,root) %{_bindir}/xchat
%attr(755,root,root) %_bindir/xchat-text
%{_datadir}/pixmaps/xchat.png
%{_menudir}/%{name}
%{_datadir}/icons/%{name}.xpm
%{_datadir}/icons/mini/%{name}.xpm
%{_datadir}/icons/large/%{name}.xpm


%changelog
* Tue Aug 13 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.8.9-1.1mdk
- 1.8.9; security update for 8.x
- build macros for different platforms

* Wed Feb 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.7-2mdk
- Rebuild.

* Thu Jan 10 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.7-1mdk
- The latest and shiniest 1.8.7.
- Regenerate Patch0 (CTCP don't show kernel version patch).

* Wed Jan  9 2002 Stefan van der Eijk <stefan@eijk.nu> 1.8.6-3mdk
- rebuild against python 2.2
- BuildRequires

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.6-2mdk
- Print less with CTCP version (gege).

* Thu Nov 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.6-1mdk
- Make a wonderful 1.8.6 RPM for download.

* Sun Oct 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.5-1mdk
- Presenting the all-new 1.8.5.

* Sun Sep 30 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.4-1mdk
- Presenting the latest 1.8.4.

* Sat Sep 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.3-1mdk
- Presenting the newest xchat 1.8.3.

* Sun Aug 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.2-1mdk
- Bump out 1.8.2 for everyone.

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 1.8.1-2mdk
- add require the perl-base used for building (the libperl.so auto-require is not enough)

* Fri Jul 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.1-1mdk
- Put the very new and shiny 1.8.1 into cooker.

* Wed Jun 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.8.0-1mdk
- Put the very cool 1.8.0 out for cooker.
- Make it require gdk-pixbuf-devel when you build it.

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 1.7.8-3mdk
- BuildRequires: db1-devel
- BuildRequires: perl-devel
- Removed BuildRequires: audiofile-devel
- Removed BuildRequires: esound-devel
- Removed BuildRequires: imlib-devel
- Removed BuildRequires: ORBit-devel
- Removed BuildRequires: XFree86-devel

* Sat Jun 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.7.8-2mdk
- Include xchat-text (David Walluck).
- Requires python and BuildRequires python-devel (David Walluck).

* Fri Jun 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.7.8-1mdk
- Put 1.7.8 out for everyone.

* Fri Jun 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.7.7-1mdk
- The freshly baked 1.7.7 aka 1.8.0pre1 is out for cooker users.
- s/Copyright/License/;
- Silently remove the xchat-1.5.10 fontset patch, from testing it seems
  that it is no longer needed.
  
* Fri Apr 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.6.4-5mdk
- enable ssl
- python 2.1

* Tue Mar 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6.4-4mdk
- Make sure that .mo files are installed everytime.
- Fix zh_CN locale.

* Sun Mar 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6.4-3mdk
- Include the .mo files (why the hell have they been missed?!!).

* Sun Feb 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6.4-2mdk
- Change some stuff from the recommendation of xchat's author (zed@linux.com):
  - Remove the find and perl replacement expression, it is not needed anymore.
  - Correct the URL in the Source tag.
  - Don't enable socks in ./configure.

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.om> 1.6.4-1mdk
- New and shiny source 1.6.4 out for general consumption.
- Remove --disalbe-textfe.

* Mon Jan  1 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.6.2-1mdk
- shiny new version: 1.6.2
- add configure option --disable-textfe ; because of nasty python2 problem

* Wed Nov 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6.0-1mdk
- new and shiny source bumped into cooker.

* Wed Nov 08 2000 Daouda Lo <daouda@mandrakesoft.com> 1.5.11-1mdk
- release

* Mon Nov 06 2000 Daouda Lo <daouda@mandrakesoft.com> 1.5.10-1mdk
- new release (gcc2.96 build)
- repatch fontset

* Thu Sep 07 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.4.3-2m
- Use find_lang.

* Mon Aug 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com. 1.4.3-1mdk
- rebuild for new version (security fix.)
- macrosifications.
- fix the installation of LC_MESSAGES.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.2-2mdk
- automatically added BuildRequires

* Tue Jun 13 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.4.2-1mdk
- 1.4.2

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.1-3mdk
- fixed larger icon
- fixed menu postun
- removed useless gnome desktop entry

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.1-2mdk
- add menu entry with icon

* Sat Apr 1  2000 Jerome Dumonteil <jd@mandrakesoft.com>
- fix group
- add menu
- version 1.4.1

* Fri Feb 11 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- 1.4 

* Sun Feb 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.12-2mdk
- added patch for fontset support (asiatic languages use fontsets)
- added the language catalogs to the %files section

* Thu Jan 27 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.3.12

* Fri Jan 14 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.3.10

* Wed Dec 08 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.3.8(official now ;)

* Fri Nov 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.3.8
- Updated source URL.

* Wed Nov 10 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.3.7(fix many bugs)

* Fri Oct  29 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 1.3.5
- Updated URL. 
- Updated doc section(added AUTHORS and xchat.sgml)
- Added fr description.

* Thu Oct  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.4.

* Wed Sep 15 1999 Daouda LO <daouda@mandrakesoft.com>
- 1.2.0

* Mon Aug 16 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.8

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.7

* Tue Aug 03 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Why --disable-perl? (Removed)
- --enable-socks
- Icon for rpm
- 1.1.6 :
    * lots see /usr/doc/xchat-1.1.6/Changelog
    
* Mon Jul 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild (2mdk) 

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.1.2 :
    - Swedish translation update (Joel Rosdahl).
    - A better default popup menu (rm ~/.xchat/popup.conf if you want it)
    - Conference mode button - doesn't display join/parts.
    - Email addresses are clickable (in the main text area).
    - Hostnames and IP numbers are clickable (right click only).
    - If you joined two channels with the same people in them, userhost
      would mess up a bit - fixed.
    - Added /UNIGNORE
    - Added reverse ignore flag, eg:
      /ignore *!*@*.aol.com ALL
      /ignore myfriend!myfriend@*.aol.com ALL UNIGNORE
      (Would ignore everyone on AOL except myfriend).
    - Added Sort and Cancel buttons to ignore GUI.
    - Function Keys removed - "Edit Key Bindings" replaces it.
    - "Announce away messages" option (Sean 'Shaleh' Perry).
    - IRC::print takes multiple args (Bruce Ide).
    - Sending USERHOSTs on join are throttled so you don't excess flood
      on big channels.
    - Misc touchups.
    1.1.0 -> 1.1.1:
    - Text Events are hookable through perl (Matthias Urlichs).
      ( IRC::add_print_handler() )
    - A few palette stuff ups fixed (affected only non-zvt windows).
    - Major cleanups in text.c (TextEvents) (AGL).
    - Ignore GUI/Load/Save added (David H.rdeman).
    - USERHOST is issued on joining channels to find people's hostname.
    - Added perl command IRC::user_list (see perl.c).
    - Palette is saved in palatte.conf instead of xchat.conf.
					      

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.1.0.
	 - Serbian translation (Zoltan Csala).
	 - URLs and nicknames are clickable (right click), still a bit
	   dodgy in zvt.
	 - Added IRC::print_with_channel( text, channel, servername )
	   (3rd arg is optional).
	 - Size/Pos/CPS are right justified in DCC windows.
	 - Updated French translations (Gissehel).
	 - Palette editor.
	 - 'Auto Open DCC CHAT window' option added (Javier Kohen).
	 - /Ignore added (no GUI yet).
	 - SaveBuffer in ZVT windows now works (Javier Kohen).
	 - Wildcard match in Channel List.
	 - DNS Program setting (use host, nslookup, or similar)
	 - "New Shell Tab" feature (requires GNOME).
	 - "Edit Key Bindings" feature (AGL).
	 - Dialog windows have a 'Chat' button (Fredrik Berglund).
	 - Trailing dots in url's are chopped.
	 - se.po renamed to sv.po
	 - Ran *.c and *.h through indent, should be nice and consistant now.
	 - Added recognition of WALLOPS from server.
	 - Updated Russian translation (Volosenkov Dmitry).
	 - Fixed a lockup bug (Affected FreeBSD and possibly others).

* Thu May  6 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- version 0.9.4

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.9.3

* Mon Mar 8 1999 Michael Fulbright <drmike@redhat.com>
- version 0.9.2

